Subject: RE: [netatalk-admins] AS IP speeds

From: Bob Atkins <[email-masked]>
Date: Sun, 10 Jan 1999 10:41:43 -0800 (PST)

Sak,

> 
> In reply to Bob Atkins's message of the 09/01/99 at 10:55 -0800,
> 
> 
> > > There's something very wrong if you're only getting 0.5 Mbytes/sec over 100
> >BT.
> > > I  get 0.8 - 1 Mbytes/sec over 10 BT, and I only have a P200 with an old,
> > > narrow SCSI disk.
> 
> I should point out that these numbers are for Finder copies of a 20 MB test
> file (not FTP) using a G3/300 running MacOS 8.5.1 as the client. With a G3
> client running 8.1, I would expect you to get between 3-4 MBytes/sec over
> 100BT, and double that with 8.5+.
> 
> > There is definitely a problem with ASIP transfer rates here. I just
> > don't understand why or how they could be so much slower on a single
> > file than an ftp transfer.
> 
> Your FTP rate from the Mac doesn't look too brilliant either: 8 MB in 3 secs is
> only 2.67 Mbytes/sec. Does it get better if you xfer to/from ram disk? Also is
> it (much) worse in one direction?
> 

It takes 3 seconds to upload to the server and 2 seconds to download.
The file is probably too small to get a realistic transfer rate at
those speeds however, at 16-18 seconds to upload/download using ASIP to
the same server that's enough of a difference to warrant some further
analysis of why it takes so much longer using ASIP.

I have found through considerable experimentation that most G3/300
systems can't do more than 380-420KBytes/sec sustained transfer rates
using ftp to/from a local SPARC/Solaris server over a 10BT LAN. I can
assure you that SPARC to SPARC the same file can be moved at
995-1000KBytes/sec over the same 10BT LAN segment essentially achieving
saturation of the segment. Mac ethernet speeds have never been very
good and I have *never* seen any MacIntosh even come close to
saturating a 10BT ethernet the way a SPARC can or even a decent (200MHz
PII) PC can (885-900KBytes/sec).

---
Bob

---

From: Osma Ahvenlampi <[email-masked]>
Date: 11 Jan 1999 10:08:14 +0200

> using ftp to/from a local SPARC/Solaris server over a 10BT LAN. I can

I seem to remember reading some specifications when G3 systems came
out that essentially told that if you use both the built-in Ethernet
port and the serial ports, performance for both will suck
grandly. Remove serial port devices from the G3 Macs if you can.

-- 
It was a book to kill time for those who liked it better dead.
Osma Ahvenlampi <[email-masked]>